Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock
Interface GroovyMock

Field Summary
`CallFactory` | `callFactory`
`CallBag` | `calls`
`GroovyObject` | `instance`
`Mock` | `mock`

Method Summary
`Object` | `callMethod(String name, Object args)`
`ConstraintMatcher` | `createMatcher(Object args)`
`void` | `expectMethod(String name, Object args)`
`GroovyObject` | `getInstance()`
`Object` | `invokeMethod(String name, Object args)`
`static GroovyMock` | `newInstance()`
`void` | `verify()`

Method Detail

### callMethod

    Object callMethod(String name, Object args)

### createMatcher

    ConstraintMatcher createMatcher(Object args)

### expectMethod

    void expectMethod(String name, Object args)

### getInstance

    public GroovyObject getInstance()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### newInstance

    public static GroovyMock newInstance()

### verify

    public void verify()